dbXML API

## com.dbxml.db.common.xupdate
Class XPathQueryFactoryImpl

    java.lang.Object
      org.xmldb.common.xml.queries.XPathQueryFactory
          com.dbxml.db.common.xupdate.XPathQueryFactoryImpl

public final class XPathQueryFactoryImpl
extends org.xmldb.common.xml.queries.XPathQueryFactory

Field Summary

Fields inherited from class org.xmldb.common.xml.queries.XPathQueryFactory
`FACTORY_KEY`

Constructor Summary
`XPathQueryFactoryImpl()`

Method Summary
`org.xmldb.common.xml.queries.XPathQuery` `newXPathQuery()`

Methods inherited from class org.xmldb.common.xml.queries.XPathQueryFactory
`newInstance`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XPathQueryFactoryImpl

    public XPathQueryFactoryImpl()

Method Detail

### newXPathQuery

    public org.xmldb.common.xml.queries.XPathQuery newXPathQuery()
                                                          throws org.xmldb.common.xml.queries.XPathQueryConfigurationException

  Throws:
    `org.xmldb.common.xml.queries.XPathQueryConfigurationException`

dbXML API

Copyright (c) 2004 The dbXML Group